AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Refund a transaction

This endpoint allows you to create a refund for any transaction that is being disputed. Kindly note that refunds initiated usually take between 3-15 working days to be completed.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/transactions/{id}/refund

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id int 32 required
This is a unique transaction identifier generated by our systems. It is returned in the initiate charge and verify transaction responses as data.id

FILL IN ALL REQUIRED FIELDS

amount int 32
The amount to refund, Set this to issue a partial refund.

comments string
Custom description for the refund.

callbackurl string
The URL for refund response callbacks.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_id integer

tx_id integer

flw_ref string

wallet_id integer

amount_refunded integer

status string

destination string

meta object

FILL IN ALL REQUIRED FIELDS

source string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys